.tableform-check-input
{
    border: 1px solid #dcdcdc;
    background-color: #ffffff;
}

.tableform-check-input:hover
{
    cursor: pointer;
}

.tableform-check-input:focus
{
    outline: 0;

    -webkit-box-shadow: 0 0 0 0.2rem rgba(53, 135, 121, 0.25);
    box-shadow: 0 0 0 0.25rem rgba(53, 135, 121, 0.25);

    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.tableform-check-input:checked
{
    background-color: rgb(53, 135, 121);
    outline: 0;
}

.tableform-clearinput
{
    display: none;
    position: absolute;

    top: 1px;
    right: 3px;

    width: 38px;
    height: 38px;

    background-image: url('/public/image/mark_cross_black.svg');
    background-size: 12px 12px;
    background-position: center;
    background-repeat: no-repeat;
}

.tableform-clearinput:hover
{
    cursor: pointer;
}

.tableform-clearinput-prospectsearch
{
    display: none;
    position: absolute;

    top: 3px;
    right: 3px;

    width: 38px;
    height: 38px;

    background-image: url('/public/image/mark_cross_black.svg');
    background-size: 12px 12px;
    background-position: center;
    background-repeat: no-repeat;
}

.tableform-clearinput-prospectsearch:hover
{
    cursor: pointer;
}

.tableform-clearinput-visible
{
    display: block;
}

.tableform-download-container
{
    margin-top: 2px;
    margin-bottom: 12px; /* Visual breathing room between tableform and table when the button is pushed onto the 2nd row */
}

.tableform-download
{
    padding-left: 25px;

    background-image: url('/public/image/modal_download.svg');
    background-size: 18px 18px;
    background-repeat: no-repeat;
    background-position: left top 2px;
}

.tableform-dropdown-container
{
    position: relative;
}

.tableform-dropdown
{
    background-color: #ffffff;
    
    border-color: #dcdcdc;
}

.tableform-dropdown:hover
{
    cursor: pointer;
}

.tableform-dropdown:disabled
{
    color: #b5b5b5;
    background-color: #e7e7e7;
    border-color: #e7e7e7;
}

.tableform-dropdown-icon
{
    color: #000000;

    font-size: 14px;
    line-height: 24px;
    text-decoration: none;
    
    background-image: url('/public/image/dropdown_black.svg');
    background-size: 12px 12px;
    background-repeat: no-repeat;
    background-position: right 14px top 50%;
    background-color: #f6f6f6;
}

.tableform-dropdown-selectmultiple
{
    background-color: #ffffff;

    font-size: 14px;

    border: 1px solid #dcdcdc;
}

.tableform-dropdown-selectmultiple:hover
{
    background-color: #ffffff;
    
    font-size: 14px;

    border: 1px solid #dcdcdc;
}

.tableform-dropdown-selectmultiple:disabled
{
    color: #8e8e8e;
    background-color: #dadada;
    border-color: #dadada;
}

.tableform-dropdown-multiselect-link-container
{
    margin-left: 12px;
}

.tableform-dropdown-multiselect-link
{
    display: inline-block;
    margin-right: 16px;
    font-size: 14px;
    color: #358779;
}

.tableform-dropdown-multiselect-link:hover
{
    cursor: pointer;
}

.tableform-dropdown-multiselect-icon-reset
{
    display: inline-block;

    margin-left: 3px;
    margin-bottom: 3px;

    width: 11px;
    height: 11px;
    
    vertical-align: middle;

    background-image: url('/public/image/tableform_reset.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.tableform-integer-container
{
    padding-top: 3px;
    position: relative;
}

.tableform-integer
{
    background-color: #ffffff;

    border-color: #dcdcdc;
}

.tableform-integer:disabled
{
    color: #b5b5b5;
    background-color: #e7e7e7;
    border-color: #e7e7e7;
}

.tableform-label
{
    margin-top: 4px;
    margin-bottom: 0px;
	min-height: 22px;

    font-size: 14px;
    line-height: 19px;

	vertical-align: text-bottom;
}

.tableform-label-prospectsearchicon
{
    display: inline-block;

    margin-left: 5px;
    width: 14px;
    height: 14px;

    background-image: url('/public/image/mark_magic_black.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.tableform-prospectsearch
{
    padding-top: 3px;
    padding-bottom: 3px;

    height: 38px;

    background-color: #ffffff;

    border-radius: 4px;
}

.tableform-prospectsearch-container
{
    position: relative;

    top: -3px;
    padding: 3px;
    
    z-index: 1;
	
    border-radius: 6px;
}

.tableform-prospectsearch-container-active
{
    background-image: linear-gradient(var(--a), #358779, #ffffff, #358779, #ffffff);
    
    animation: prospectsearch-animation 3s linear infinite;
}

.tableform-prospectsearch-container-active:before
{
    z-index: -1;
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    background-image: linear-gradient(var(--a), #358779, #ffffff, #358779, #ffffff);
	filter: blur(10px);
	width: 100%;
	height: 100%;
	opacity: 0.8;

    animation: prospectsearch-animation 3s linear infinite;
}

@property --a {
    syntax: "<angle>";
    inherits: false;
    initial-value: 0deg;
}

@keyframes prospectsearch-animation {
	0% {
		--a: 90deg;
	}
	100% {
		--a: 450deg;
	}
}

.tableform-prospectsearch2
{
    background-color: #1b7967;
    border-color: #1b7967;
}

.tableform-prospectsearch2-container
{
    position: relative;

}

.tableform-search-container
{
    position: relative;
}

.tableform-search
{
    background-color: #f6f6f6;

    border-color: #dcdcdc;
}

.tableform-search:disabled
{
    color: #b5b5b5;
    background-color: #e7e7e7;
    border-color: #e7e7e7;
}

.tableform-switch
{
	min-height: 34px;
}